Modify

Opened 5 years ago

Closed 5 years ago

#7542 closed Bugs (fixed)

Missing -lpthread in chrono/io tester Sandia-clang-trunk

Reported by: viboes Owned by: viboes
Milestone: Boost 1.52.0 Component: chrono
Version: Boost 1.51.0 Severity: Problem
Keywords: Cc:

Description

Test output: Sandia-clang-trunk - chrono - v1_french_s / clang-linux-trunk
Rev 81015 / Fri, 19 Oct 2012 02:32:03 +0000
Report Time: Sun, 21 Oct 2012 05:47:52 +0000

Link [2012-10-19 03:16:51 UTC]: fail


  "/scratch/kbelco/llvm_linux/build/Release+Asserts/bin/clang++"    -o "/scratch/kbelco/boost/results/boost/bin.v2/libs/chrono/test/v1_french_s.test/clang-linux-trunk/debug/v1_french_s" "/scratch/kbelco/boost/results/boost/bin.v2/libs/chrono/test/v1_french_s.test/clang-linux-trunk/debug/french.o" "/scratch/kbelco/boost/results/boost/bin.v2/libs/chrono/build/clang-linux-trunk/debug/link-static/libboost_chrono.a" "/scratch/kbelco/boost/results/boost/bin.v2/libs/system/build/clang-linux-trunk/debug/link-static/libboost_system.a"    -g -lrt

/usr/bin/ld: /scratch/kbelco/boost/results/boost/bin.v2/libs/chrono/test/v1_french_s.test/clang-linux-trunk/debug/v1_french_s: undefined reference to symbol 'pthread_cancel@@GLIBC_2.2.5'
/usr/bin/ld: note: 'pthread_cancel@@GLIBC_2.2.5' is defined in DSO /lib64/libpthread.so.0 so try adding it to the linker command line
/lib64/libpthread.so.0: could not read symbols: Invalid operation
clang: error: linker command failed with exit code 1 (use -v to see invocation)
 

Attachments (0)

Change History (3)

comment:1 Changed 5 years ago by viboes

Status: newassigned

I don't know if changing

<target-os>linux:<linkflags>"-lrt" 

by

<target-os>linux:<linkflags>"-lrt -lpthread" 

solves the issue.

comment:2 Changed 5 years ago by viboes

Committed in trunk revision [81033].

comment:3 Changed 5 years ago by viboes

Milestone: To Be DeterminedBoost 1.52.0
Resolution: fixed
Status: assignedclosed

Committed revision [81046].

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain viboes.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.